The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Model animations

Animations let you visualize the state of equipment in a model by applying visual effects to model objects. The following animation types are supported:

  • Color. Colors an object with the given color. Optionally, the object can blink at a given frequency.
  • Outline. Draws an outline around an object with a given color, width, intensity, and blur. Optionally, the outline can blink at a given frequency. You can set the outline to be visible through other objects. Outlines require more client hardware resources — avoid using too many, especially on objects with complex geometry.
  • Rotation. Rotates an object clockwise around the vertical axis.

Get list of animations

Request

GET /models/animations/raw

ParameterDescription
clientname(mandatory) Portfolio name
Authorization(mandatory) Authentication token
select(optional) List of fields to include in the result
filter(optional) Filter parameters
Sort(optional) Sorting parameters

Response sample

[
    {
        "Name": "Test animation",
        "Definition": "{\"Models\":[{\"Id\":\"f6e60649-aea1-4c3b-a627-0bf83f00b3f8\",\"Ids\":[\"68e3adeb-69f1-4edd-9fea-ebebe475ab3d-001843f8\",\"68e3adeb-69f1-4edd-9fea-ebebe475ab3d-001843f4\",\"68c03d5f-e7b7-47a0-8abb-9f13b8991453-00169e77\"]}],\"Animations\":[{\"Conditions\":[{\"RDSVar\":\"\",\"Type\":\"Equals\",\"Value1\":true}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":10.0,\\\"Color\\\":\\\"#1E90FF\\\"}\",\"IsBlinked\":true}]}",
        "Id": "5abb3958-7b71-46ca-8eba-8b4143e65d21"
    },
    {
        "Name": "Pump state",
        "Definition": "{\"Models\":[{\"Id\":\"f6e60649-aea1-4c3b-a627-0bf83f00b3f8\",\"Ids\":[\"68e3adeb-69f1-4edd-9fea-ebebe475ab3d-00184401\"]}],\"Animations\":[{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":10}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":10.0,\\\"Color\\\":\\\"#1E90FF\\\"}\",\"IsBlinked\":true},{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":50}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":20.0,\\\"Color\\\":\\\"#0000FF\\\"}\",\"IsBlinked\":true}]}",
        "Id": "1bee937f-aec6-4579-8284-b50149bf63aa"
    }
]

Create animation

POST /models/animations/raw

Payload example

{
    "Name": "Pump state",
    "Definition": "{\"Models\":[{\"Id\":\"f6e60649-aea1-4c3b-a627-0bf83f00b3f8\",\"Ids\":[\"68e3adeb-69f1-4edd-9fea-ebebe475ab3d-00184401\"]}],\"Animations\":[{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":10}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":10.0,\\\"Color\\\":\\\"#1E90FF\\\"}\",\"IsBlinked\":true},{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":50}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":20.0,\\\"Color\\\":\\\"#0000FF\\\"}\",\"IsBlinked\":true}]}"
}

Modify animation

PUT /models/animations/raw/{animationId}

Payload example

{
    "Name": "Pump state",
    "Definition": "{\"Models\":[{\"Id\":\"f6e60649-aea1-4c3b-a627-0bf83f00b3f8\",\"Ids\":[\"68e3adeb-69f1-4edd-9fea-ebebe475ab3d-00184401\"]}],\"Animations\":[{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":10}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":10.0,\\\"Color\\\":\\\"#1E90FF\\\"}\",\"IsBlinked\":true},{\"Conditions\":[{\"RDSVar\":\"HSS_A0_L1009_0000ITP_PE09_PV\",\"Type\":\"Greater\",\"Value1\":50}],\"LogicalOperation\":\"AND\",\"AnimationType\":\"Color\",\"Parameters\":\"{\\\"Speed\\\":20.0,\\\"Color\\\":\\\"#0000FF\\\"}\",\"IsBlinked\":true}]}",
    "Id": "1bee937f-aec6-4579-8284-b50149bf63aa"
}